Skip to Content
One-time paymentsMethod reference JSON + XMLCheck customer billing support

Check customer billing support

POST /api/v3/projects/{projectId}/billing/check

Checks whether the given customer (MSISDN) is supported for activation and tariffication within the specified project.

v4 signature payload: {customerPayload} (e.g. {msisdn} for mobile phone)

Request parameters

FieldTypeRequiredDescription
projectIdinteger (int32)yes

Request body

FieldTypeRequiredDescription
msisdnstring—Customer MSISDN in international E.164 format (no +)
Request example
{ "msisdn": "79600000000" }
Response example
{ "success": true, "data": { "supported": true, "customer": { "type": "mobile_phone", "msisdn": "79600000000" } } }

Response codes

CodeDescription
200Billing support result
400Validation or business request error
401Authentication failed (missing/invalid signature or timestamp)
403Project access denied or IP not whitelisted
422Business validation error
500Unexpected platform error
503Service temporarily unavailable